Airwallex logo
Airwallex logoAirwallex logo

Transaction Disputes

Copy for LLMView as Markdown

You can create a dispute for a card transaction. You can also update/submit/cancel it

Endpoints
GET /api/v1/issuing/transaction_disputes/{id}
GET /api/v1/issuing/transaction_disputes
POST /api/v1/issuing/transaction_disputes/create
POST /api/v1/issuing/transaction_disputes/{id}/update
POST /api/v1/issuing/transaction_disputes/{id}/submit
POST /api/v1/issuing/transaction_disputes/{id}/cancel

Get a transaction dispute

GET /api/v1/issuing/transaction_disputes/{id}

Retrieve single transaction dispute

Parameters
idrequiredstring

The unique identifier for this dispute.

Response body - 200 OK
additional_infoobject

Additional information for the dispute.

additional_info.actual_delivery_datestring

The date on which the cardholder actually received the goods or service. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_NOT_AS_DESCRIBED or GOODS_DAMAGED.

additional_info.attempted_return_datestring

The date on which the cardholder attempted to return the goods or service. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_NOT_AS_DESCRIBED or GOODS_DAMAGED.

additional_info.card_charge_permission_withdrawn_datestring

The date on which the cardholder withdrew permission for the card charge (e.g. cancelled a subscription or recurring payment). Strongly recommended to set this field when dispute reason is RECURRING_CANCELED.

additional_info.expected_delivery_datestring

The date by which the cardholder expected to receive the goods or service. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_NOT_RECEIVED or GOODS_SERVICE_CANCELED.

additional_info.order_cancellation_datestring

The date on which the goods, service, or reservation was cancelled. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_CANCELED.

additional_info.returned_datestring

The date on which the cardholder returned the goods or service. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_NOT_AS_DESCRIBED or GOODS_DAMAGED.

amountnumber

Dispute amount.

card_transaction_event_idstring

The unique identifier for the disputed card transaction event.

created_atstring

Time when the dispute was created.

detailed_statusstring

The detailed status of the dispute life cycle between Airwallex and the card scheme. It can be one of: DISPUTE_FILED, PRE_ARB_RECEIVED, PRE_ARB_DECLINED_BY_ISSUER, ARBITRATION_RECEIVED, CHARGEBACK_DECLINED, PRE_ARB_DELIVERED, PRE_ARB_DECLINED_BY_ACQUIRER, ARB_DELIVERED, WON, LOST.

DISPUTE_FILED, PRE_ARB_RECEIVED, PRE_ARB_DECLINED_BY_ISSUER, ARBITRATION_RECEIVED, DISPUTE_DECLINED, PRE_ARB_DELIVERED, PRE_ARB_DECLINED_BY_ACQUIRER, ARB_DELIVERED, WON, LOST

idstring

The unique identifier for this dispute.

notesstring

The latest notes that was added to the dispute.

reasonstring

The reason for raising the dispute. It can be one of: SUSPECTED_FRAUD, UNAUTHORIZED_TRANSACTION, DUPLICATED_TRANSACTION, PAID_BY_OTHER_MEANS, GOODS_SERVICE_NOT_AS_DESCRIBED, GOODS_DAMAGED, GOODS_SERVICE_NOT_RECEIVED, REFUND_UNPROCESSED, GOODS_SERVICE_CANCELED, RECURRING_CANCELED, OTHER. Learn more about the dispute reasons .

referencestring

A value added for your internal reference.

statusstring

The latest status of the dispute. It can be one of: DRAFT, SUBMITTED, REJECTED, CANCELED, IN_PROGRESS, WON, LOST, EXPIRED. Learn more about the dispute statuses .

transaction_idstring

The unique identifier for the disputed transaction.

update_historyarray
update_history.evidence_filesarray

The list of file id containing the evidence added to the dispute during the dispute process.

update_history.notestring

The note added to the dispute.

update_history.updated_atstring

Time when the dispute was updated.

update_history.updated_bystring

The party who updated the dispute. It can be one of: CUSTOMER, AIRWALLEX.

updated_atstring

Time when the dispute was last updated.

updated_bystring

The party who updated the dispute. It can be one of: CUSTOMER, AIRWALLEX.

Errors
Error statusDescription
400

Possible errors: field_required, bad_request, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

GET /api/v1/issuing/transaction_disputes/{id}
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/issuing/transaction_disputes/transaction_dispute_id' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "additional_info": {
3 "expected_delivery_date": "2023-04-23T16:08:02+0000"
4 },
5 "amount": 100,
6 "card_transaction_event_id": "6c2dc266-09ad-4235-b61a-767c7cd6d6e2",
7 "created_at": "2023-04-23T16:08:02+0000",
8 "detailed_status": "PRE_ARB_RECEIVED",
9 "id": "6c2dc266-09ad-4235-b61a-767c7cd6d6e0",
10 "notes": "Fraud case",
11 "reason": "SUSPECTED_FRAUD",
12 "reference": "A@*Ddkss0@_2",
13 "status": "DRAFT",
14 "transaction_id": "6c2dc266-09ad-4235-b61a-767c7cd6d6e1",
15 "update_history": [
16 {
17 "evidence_files": [
18 "3fa85f64-5717-4562-b3fc-2c963f66afa6"
19 ],
20 "note": "Fraud case",
21 "updated_at": "2023-04-23T16:08:02+0000",
22 "updated_by": "CUSTOMER"
23 }
24 ],
25 "updated_at": "2023-04-23T16:08:02+0000",
26 "updated_by": "CUSTOMER"
27}
Was this section helpful?

Get all transaction disputes

GET /api/v1/issuing/transaction_disputes

Retrieve all transaction disputes. Filter for results using the parameters available.

Parameters
card_transaction_event_idstring

The unique identifier for the disputed card transaction event.

card_transaction_idstring

The unique identifier for the disputed card transaction.

detailed_statusstring

The detailed status of the dispute life cycle between Airwallex and the card scheme. It can be one of: DISPUTE_FILED, PRE_ARB_RECEIVED, PRE_ARB_DECLINED_BY_ISSUER, ARBITRATION_RECEIVED, CHARGEBACK_DECLINED, PRE_ARB_DELIVERED, PRE_ARB_DECLINED_BY_ACQUIRER, ARB_DELIVERED, WON, LOST.

DISPUTE_FILED, PRE_ARB_RECEIVED, PRE_ARB_DECLINED_BY_ISSUER, ARBITRATION_RECEIVED, DISPUTE_DECLINED, PRE_ARB_DELIVERED, PRE_ARB_DECLINED_BY_ACQUIRER, ARB_DELIVERED, WON, LOST

from_created_atstring

The minimum created_at, in ISO8601 format (inclusive)

from_updated_atstring

The minimum updated_at, in ISO8601 format (inclusive)

pagestring

Page bookmark to specify the position of page start.

page_sizeinteger

Number of dispute per page.

reasonstring

The reason for raising the dispute. It can be one of: SUSPECTED_FRAUD, UNAUTHORIZED_TRANSACTION, DUPLICATED_TRANSACTION, PAID_BY_OTHER_MEANS, GOODS_SERVICE_NOT_AS_DESCRIBED, GOODS_DAMAGED, GOODS_SERVICE_NOT_RECEIVED, REFUND_UNPROCESSED, GOODS_SERVICE_CANCELED, RECURRING_CANCELED, OTHER. Learn more about the dispute reasons .

referencestring

A value added for your internal reference.

statusstring

The latest status of the dispute. It can be one of: DRAFT, SUBMITTED, REJECTED, CANCELED, IN_PROGRESS, WON, LOST, EXPIRED. Learn more about the dispute statuses .

to_created_atstring

The maximum created_at, in ISO8601 format (exclusive)

to_updated_atstring

The maximum updated_at, in ISO8601 format (exclusive)

transaction_idstring

The unique identifier for the disputed transaction.

updated_bystring

The party who updated the dispute. It can be one of: CUSTOMER, AIRWALLEX.

Response body - 200 OK
itemsarray

array of the TransactionDispute resource

items.additional_infoobject

Additional information for the dispute.

items.additional_info.actual_delivery_datestring

The date on which the cardholder actually received the goods or service. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_NOT_AS_DESCRIBED or GOODS_DAMAGED.

items.additional_info.attempted_return_datestring

The date on which the cardholder attempted to return the goods or service. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_NOT_AS_DESCRIBED or GOODS_DAMAGED.

items.additional_info.card_charge_permission_withdrawn_datestring

The date on which the cardholder withdrew permission for the card charge (e.g. cancelled a subscription or recurring payment). Strongly recommended to set this field when dispute reason is RECURRING_CANCELED.

items.additional_info.expected_delivery_datestring

The date by which the cardholder expected to receive the goods or service. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_NOT_RECEIVED or GOODS_SERVICE_CANCELED.

items.additional_info.order_cancellation_datestring

The date on which the goods, service, or reservation was cancelled. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_CANCELED.

items.additional_info.returned_datestring

The date on which the cardholder returned the goods or service. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_NOT_AS_DESCRIBED or GOODS_DAMAGED.

items.amountnumber

Dispute amount.

items.card_transaction_event_idstring

The unique identifier for the disputed card transaction event.

items.created_atstring

Time when the dispute was created.

items.detailed_statusstring

The detailed status of the dispute life cycle between Airwallex and the card scheme. It can be one of: DISPUTE_FILED, PRE_ARB_RECEIVED, PRE_ARB_DECLINED_BY_ISSUER, ARBITRATION_RECEIVED, CHARGEBACK_DECLINED, PRE_ARB_DELIVERED, PRE_ARB_DECLINED_BY_ACQUIRER, ARB_DELIVERED, WON, LOST.

DISPUTE_FILED, PRE_ARB_RECEIVED, PRE_ARB_DECLINED_BY_ISSUER, ARBITRATION_RECEIVED, DISPUTE_DECLINED, PRE_ARB_DELIVERED, PRE_ARB_DECLINED_BY_ACQUIRER, ARB_DELIVERED, WON, LOST

items.idstring

The unique identifier for this dispute.

items.notesstring

The latest notes that was added to the dispute.

items.reasonstring

The reason for raising the dispute. It can be one of: SUSPECTED_FRAUD, UNAUTHORIZED_TRANSACTION, DUPLICATED_TRANSACTION, PAID_BY_OTHER_MEANS, GOODS_SERVICE_NOT_AS_DESCRIBED, GOODS_DAMAGED, GOODS_SERVICE_NOT_RECEIVED, REFUND_UNPROCESSED, GOODS_SERVICE_CANCELED, RECURRING_CANCELED, OTHER. Learn more about the dispute reasons .

items.referencestring

A value added for your internal reference.

items.statusstring

The latest status of the dispute. It can be one of: DRAFT, SUBMITTED, REJECTED, CANCELED, IN_PROGRESS, WON, LOST, EXPIRED. Learn more about the dispute statuses .

items.transaction_idstring

The unique identifier for the disputed transaction.

items.update_historyarray
items.update_history.evidence_filesarray

The list of file id containing the evidence added to the dispute during the dispute process.

items.update_history.notestring

The note added to the dispute.

items.update_history.updated_atstring

Time when the dispute was updated.

items.update_history.updated_bystring

The party who updated the dispute. It can be one of: CUSTOMER, AIRWALLEX.

items.updated_atstring

Time when the dispute was last updated.

items.updated_bystring

The party who updated the dispute. It can be one of: CUSTOMER, AIRWALLEX.

page_afterstring

A pointer to the start of the page list used in pagination to retrieve the next page of results

page_beforestring

A pointer to the end of the page list used in pagination to retrieve the previous page of results

Errors
Error statusDescription
400

Possible errors: field_required, bad_request, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

GET /api/v1/issuing/transaction_disputes
$curl --request GET \
> --url 'https://api-demo.airwallex.com/api/v1/issuing/transaction_disputes' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "items": [
3 {
4 "additional_info": {
5 "expected_delivery_date": "2023-04-23T16:08:02+0000"
6 },
7 "amount": 100,
8 "card_transaction_event_id": "6c2dc266-09ad-4235-b61a-767c7cd6d6e2",
9 "created_at": "2023-04-23T16:08:02+0000",
10 "detailed_status": "PRE_ARB_RECEIVED",
11 "id": "6c2dc266-09ad-4235-b61a-767c7cd6d6e0",
12 "notes": "Fraud case",
13 "reason": "SUSPECTED_FRAUD",
14 "reference": "A@*Ddkss0@_2",
15 "status": "DRAFT",
16 "transaction_id": "6c2dc266-09ad-4235-b61a-767c7cd6d6e1",
17 "update_history": [
18 {
19 "evidence_files": [
20 "3fa85f64-5717-4562-b3fc-2c963f66afa6"
21 ],
22 "note": "Fraud case",
23 "updated_at": "2023-04-23T16:08:02+0000",
24 "updated_by": "CUSTOMER"
25 }
26 ],
27 "updated_at": "2023-04-23T16:08:02+0000",
28 "updated_by": "CUSTOMER"
29 }
30 ],
31 "page_after": "YWFhYWFhYWEtOGM3ZC00OTcyLThlNTktNjFkMTFjYjYxNGMx",
32 "page_before": "YmJiYmJiYmItNDg5Mi00NGI3LTk3NGYtNjI5OGM5YWY2ZTEx"
33}
Was this section helpful?

Create a transaction dispute

POST /api/v1/issuing/transaction_disputes/create

Creates a dispute for a card transaction in a draft status. The dispute can be updated multiple times before submission to Airwallex for assessment. The transaction dispute object is the resource of a card transaction dispute raised to Airwallex.It contains all the information related to a dispute such as amount, status and update history.

Request body
additional_infoobject

Additional information for the dispute.

additional_info.actual_delivery_datestring

The date on which the cardholder actually received the goods or service. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_NOT_AS_DESCRIBED or GOODS_DAMAGED.

additional_info.attempted_return_datestring

The date on which the cardholder attempted to return the goods or service. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_NOT_AS_DESCRIBED or GOODS_DAMAGED.

additional_info.card_charge_permission_withdrawn_datestring

The date on which the cardholder withdrew permission for the card charge (e.g. cancelled a subscription or recurring payment). Strongly recommended to set this field when dispute reason is RECURRING_CANCELED.

additional_info.expected_delivery_datestring

The date by which the cardholder expected to receive the goods or service. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_NOT_RECEIVED or GOODS_SERVICE_CANCELED.

additional_info.order_cancellation_datestring

The date on which the goods, service, or reservation was cancelled. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_CANCELED.

additional_info.returned_datestring

The date on which the cardholder returned the goods or service. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_NOT_AS_DESCRIBED or GOODS_DAMAGED.

amountnumber

The amount to be disputed. If not specified, the dispute will take the billing amount as the dispute amount. If specified, the specified amount is used as the dispute amount for partial dispute. The specified amount cannot be larger than the billing amount. Note: The dispute currency is always in the billing currency of the transaction.

card_transaction_event_idstring

The unique identifier for the card transaction event to be disputed. Provide this when creating a dispute on a card transaction event resource. Exactly one of card_transaction_event_id or transaction_id MUST be supplied; providing both in the same request is invalid.

evidence_filesarray

A list of file id that contains the evidence for the dispute. The file id can be retrieved after uploading the supporting document via POST Upload a file.

notesstring

The explanation on why the cardholder is disputing the transaction can be provided here.

reasonstring

The reason for raising the dispute. It can be one of: SUSPECTED_FRAUD, UNAUTHORIZED_TRANSACTION, DUPLICATED_TRANSACTION, PAID_BY_OTHER_MEANS, GOODS_SERVICE_NOT_AS_DESCRIBED, GOODS_DAMAGED, GOODS_SERVICE_NOT_RECEVIED, REFUND_UNPROCESSED, GOODS_SERVICE_CANCELED, RECURRING_CANCELED, OTHER. Learn more about the dispute reasons .

SUSPECTED_FRAUD, UNAUTHORIZED_TRANSACTION, DUPLICATED_TRANSACTION, PAID_BY_OTHER_MEANS, GOODS_SERVICE_NOT_AS_DESCRIBED, GOODS_DAMAGED, GOODS_SERVICE_NOT_RECEIVED, REFUND_UNPROCESSED, GOODS_SERVICE_CANCELED, RECURRING_CANCELED, OTHER

referencestring

A value can be added for your internal reference. Maximum 20 characters.

transaction_idstring

The unique identifier for the transaction to be disputed. Provide this when creating a dispute on a transaction resource. Exactly one of card_transaction_event_id or transaction_id MUST be supplied; providing both in the same request is invalid.

Response body - 200 OK
additional_infoobject

Additional information for the dispute.

additional_info.actual_delivery_datestring

The date on which the cardholder actually received the goods or service. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_NOT_AS_DESCRIBED or GOODS_DAMAGED.

additional_info.attempted_return_datestring

The date on which the cardholder attempted to return the goods or service. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_NOT_AS_DESCRIBED or GOODS_DAMAGED.

additional_info.card_charge_permission_withdrawn_datestring

The date on which the cardholder withdrew permission for the card charge (e.g. cancelled a subscription or recurring payment). Strongly recommended to set this field when dispute reason is RECURRING_CANCELED.

additional_info.expected_delivery_datestring

The date by which the cardholder expected to receive the goods or service. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_NOT_RECEIVED or GOODS_SERVICE_CANCELED.

additional_info.order_cancellation_datestring

The date on which the goods, service, or reservation was cancelled. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_CANCELED.

additional_info.returned_datestring

The date on which the cardholder returned the goods or service. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_NOT_AS_DESCRIBED or GOODS_DAMAGED.

amountnumber

Dispute amount.

card_transaction_event_idstring

The unique identifier for the disputed card transaction event.

created_atstring

Time when the dispute was created.

detailed_statusstring

The detailed status of the dispute life cycle between Airwallex and the card scheme. It can be one of: DISPUTE_FILED, PRE_ARB_RECEIVED, PRE_ARB_DECLINED_BY_ISSUER, ARBITRATION_RECEIVED, CHARGEBACK_DECLINED, PRE_ARB_DELIVERED, PRE_ARB_DECLINED_BY_ACQUIRER, ARB_DELIVERED, WON, LOST.

DISPUTE_FILED, PRE_ARB_RECEIVED, PRE_ARB_DECLINED_BY_ISSUER, ARBITRATION_RECEIVED, DISPUTE_DECLINED, PRE_ARB_DELIVERED, PRE_ARB_DECLINED_BY_ACQUIRER, ARB_DELIVERED, WON, LOST

idstring

The unique identifier for this dispute.

notesstring

The latest notes that was added to the dispute.

reasonstring

The reason for raising the dispute. It can be one of: SUSPECTED_FRAUD, UNAUTHORIZED_TRANSACTION, DUPLICATED_TRANSACTION, PAID_BY_OTHER_MEANS, GOODS_SERVICE_NOT_AS_DESCRIBED, GOODS_DAMAGED, GOODS_SERVICE_NOT_RECEIVED, REFUND_UNPROCESSED, GOODS_SERVICE_CANCELED, RECURRING_CANCELED, OTHER. Learn more about the dispute reasons .

referencestring

A value added for your internal reference.

statusstring

The latest status of the dispute. It can be one of: DRAFT, SUBMITTED, REJECTED, CANCELED, IN_PROGRESS, WON, LOST, EXPIRED. Learn more about the dispute statuses .

transaction_idstring

The unique identifier for the disputed transaction.

update_historyarray
update_history.evidence_filesarray

The list of file id containing the evidence added to the dispute during the dispute process.

update_history.notestring

The note added to the dispute.

update_history.updated_atstring

Time when the dispute was updated.

update_history.updated_bystring

The party who updated the dispute. It can be one of: CUSTOMER, AIRWALLEX.

updated_atstring

Time when the dispute was last updated.

updated_bystring

The party who updated the dispute. It can be one of: CUSTOMER, AIRWALLEX.

Errors
Error statusDescription
400

Possible errors: field_required, bad_request, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

POST /api/v1/issuing/transaction_disputes/create
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/issuing/transaction_disputes/create' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "additional_info": {
> "expected_delivery_date": "2023-04-23T16:08:02+0000"
> },
> "amount": 100,
> "card_transaction_event_id": "6c2dc266-09ad-4235-b61a-767c7cd6d6e2",
> "evidence_files": [
> "3fa85f64-5717-4562-b3fc-2c963f66afa6"
> ],
> "notes": "Fraud case",
> "reason": "SUSPECTED_FRAUD",
> "reference": "A@*Ddkss0@_2"
>}'
Response (200 OK)
1{
2 "additional_info": {
3 "expected_delivery_date": "2023-04-23T16:08:02+0000"
4 },
5 "amount": 100,
6 "card_transaction_event_id": "6c2dc266-09ad-4235-b61a-767c7cd6d6e2",
7 "created_at": "2023-04-23T16:08:02+0000",
8 "detailed_status": "PRE_ARB_RECEIVED",
9 "id": "6c2dc266-09ad-4235-b61a-767c7cd6d6e0",
10 "notes": "Fraud case",
11 "reason": "SUSPECTED_FRAUD",
12 "reference": "A@*Ddkss0@_2",
13 "status": "DRAFT",
14 "transaction_id": "6c2dc266-09ad-4235-b61a-767c7cd6d6e1",
15 "update_history": [
16 {
17 "evidence_files": [
18 "3fa85f64-5717-4562-b3fc-2c963f66afa6"
19 ],
20 "note": "Fraud case",
21 "updated_at": "2023-04-23T16:08:02+0000",
22 "updated_by": "CUSTOMER"
23 }
24 ],
25 "updated_at": "2023-04-23T16:08:02+0000",
26 "updated_by": "CUSTOMER"
27}
Was this section helpful?

Update a transaction dispute

POST /api/v1/issuing/transaction_disputes/{id}/update

A dispute that has been created can be updated via this API. In the DRAFT status, all the fields in the dispute can be updated. Once a dispute is submitted, only new evidence or explanation can be added to the dispute.

Parameters
idrequiredstring

The unique identifier for this dispute.

Request body
request_idrequiredstring

A unique request identifier specified by the client. Requests with the same request_id will be ignored. This allows requests to be replayed if the client is unsure of the outcome, e.g. due to network issues, system failures, etc.

additional_infoobject

Additional information related to the dispute, such as relevant dates.

additional_info.actual_delivery_datestring

The date on which the cardholder actually received the goods or service. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_NOT_AS_DESCRIBED or GOODS_DAMAGED.

additional_info.attempted_return_datestring

The date on which the cardholder attempted to return the goods or service. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_NOT_AS_DESCRIBED or GOODS_DAMAGED.

additional_info.card_charge_permission_withdrawn_datestring

The date on which the cardholder withdrew permission for the card charge (e.g. cancelled a subscription or recurring payment). Strongly recommended to set this field when dispute reason is RECURRING_CANCELED.

additional_info.expected_delivery_datestring

The date by which the cardholder expected to receive the goods or service. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_NOT_RECEIVED or GOODS_SERVICE_CANCELED.

additional_info.order_cancellation_datestring

The date on which the goods, service, or reservation was cancelled. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_CANCELED.

additional_info.returned_datestring

The date on which the cardholder returned the goods or service. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_NOT_AS_DESCRIBED or GOODS_DAMAGED.

amountnumber

The disputed amount. This value can be updated only when dispute status = DRAFT. Once a dispute is submitted, this cannot be updated.

evidence_filesarray

A list of file id that contains the evidence for the dispute. The file id can be retrieved after uploading the supporting document via POST Upload a file.

notesstring

The explanation on why the cardholder is disputing the transaction can be provided here.

reasonstring

The reason for raising the dispute. This value can be updated only when dispute status = DRAFT. Once a dispute is submitted, this cannot be updated.

SUSPECTED_FRAUD, UNAUTHORIZED_TRANSACTION, DUPLICATED_TRANSACTION, PAID_BY_OTHER_MEANS, GOODS_SERVICE_NOT_AS_DESCRIBED, GOODS_DAMAGED, GOODS_SERVICE_NOT_RECEIVED, REFUND_UNPROCESSED, GOODS_SERVICE_CANCELED, RECURRING_CANCELED, OTHER

Response body - 200 OK
additional_infoobject

Additional information for the dispute.

additional_info.actual_delivery_datestring

The date on which the cardholder actually received the goods or service. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_NOT_AS_DESCRIBED or GOODS_DAMAGED.

additional_info.attempted_return_datestring

The date on which the cardholder attempted to return the goods or service. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_NOT_AS_DESCRIBED or GOODS_DAMAGED.

additional_info.card_charge_permission_withdrawn_datestring

The date on which the cardholder withdrew permission for the card charge (e.g. cancelled a subscription or recurring payment). Strongly recommended to set this field when dispute reason is RECURRING_CANCELED.

additional_info.expected_delivery_datestring

The date by which the cardholder expected to receive the goods or service. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_NOT_RECEIVED or GOODS_SERVICE_CANCELED.

additional_info.order_cancellation_datestring

The date on which the goods, service, or reservation was cancelled. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_CANCELED.

additional_info.returned_datestring

The date on which the cardholder returned the goods or service. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_NOT_AS_DESCRIBED or GOODS_DAMAGED.

amountnumber

Dispute amount.

card_transaction_event_idstring

The unique identifier for the disputed card transaction event.

created_atstring

Time when the dispute was created.

detailed_statusstring

The detailed status of the dispute life cycle between Airwallex and the card scheme. It can be one of: DISPUTE_FILED, PRE_ARB_RECEIVED, PRE_ARB_DECLINED_BY_ISSUER, ARBITRATION_RECEIVED, CHARGEBACK_DECLINED, PRE_ARB_DELIVERED, PRE_ARB_DECLINED_BY_ACQUIRER, ARB_DELIVERED, WON, LOST.

DISPUTE_FILED, PRE_ARB_RECEIVED, PRE_ARB_DECLINED_BY_ISSUER, ARBITRATION_RECEIVED, DISPUTE_DECLINED, PRE_ARB_DELIVERED, PRE_ARB_DECLINED_BY_ACQUIRER, ARB_DELIVERED, WON, LOST

idstring

The unique identifier for this dispute.

notesstring

The latest notes that was added to the dispute.

reasonstring

The reason for raising the dispute. It can be one of: SUSPECTED_FRAUD, UNAUTHORIZED_TRANSACTION, DUPLICATED_TRANSACTION, PAID_BY_OTHER_MEANS, GOODS_SERVICE_NOT_AS_DESCRIBED, GOODS_DAMAGED, GOODS_SERVICE_NOT_RECEIVED, REFUND_UNPROCESSED, GOODS_SERVICE_CANCELED, RECURRING_CANCELED, OTHER. Learn more about the dispute reasons .

referencestring

A value added for your internal reference.

statusstring

The latest status of the dispute. It can be one of: DRAFT, SUBMITTED, REJECTED, CANCELED, IN_PROGRESS, WON, LOST, EXPIRED. Learn more about the dispute statuses .

transaction_idstring

The unique identifier for the disputed transaction.

update_historyarray
update_history.evidence_filesarray

The list of file id containing the evidence added to the dispute during the dispute process.

update_history.notestring

The note added to the dispute.

update_history.updated_atstring

Time when the dispute was updated.

update_history.updated_bystring

The party who updated the dispute. It can be one of: CUSTOMER, AIRWALLEX.

updated_atstring

Time when the dispute was last updated.

updated_bystring

The party who updated the dispute. It can be one of: CUSTOMER, AIRWALLEX.

Errors
Error statusDescription
400

Possible errors: field_required, bad_request, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

POST /api/v1/issuing/transaction_disputes/{id}/update
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/issuing/transaction_disputes/transaction_dispute_id/update' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "additional_info": {
> "expected_delivery_date": "2023-04-23T16:08:02+0000"
> },
> "amount": 100,
> "evidence_files": [
> "3fa85f64-5717-4562-b3fc-2c963f66afa6"
> ],
> "notes": "Fraud case",
> "reason": "SUSPECTED_FRAUD",
> "request_id": "ac2dc266-09ad-4235-b61a-767c7cd6d6e0"
>}'
Response (200 OK)
1{
2 "additional_info": {
3 "expected_delivery_date": "2023-04-23T16:08:02+0000"
4 },
5 "amount": 100,
6 "card_transaction_event_id": "6c2dc266-09ad-4235-b61a-767c7cd6d6e2",
7 "created_at": "2023-04-23T16:08:02+0000",
8 "detailed_status": "PRE_ARB_RECEIVED",
9 "id": "6c2dc266-09ad-4235-b61a-767c7cd6d6e0",
10 "notes": "Fraud case",
11 "reason": "SUSPECTED_FRAUD",
12 "reference": "A@*Ddkss0@_2",
13 "status": "DRAFT",
14 "transaction_id": "6c2dc266-09ad-4235-b61a-767c7cd6d6e1",
15 "update_history": [
16 {
17 "evidence_files": [
18 "3fa85f64-5717-4562-b3fc-2c963f66afa6"
19 ],
20 "note": "Fraud case",
21 "updated_at": "2023-04-23T16:08:02+0000",
22 "updated_by": "CUSTOMER"
23 }
24 ],
25 "updated_at": "2023-04-23T16:08:02+0000",
26 "updated_by": "CUSTOMER"
27}
Was this section helpful?

Submit a transaction dispute

POST /api/v1/issuing/transaction_disputes/{id}/submit

Submit a dispute to Airwallex for review and processing. After a dispute has been submitted, its status will change to SUBMITTED.

Parameters
idrequiredstring

The unique identifier for this dispute.

Response body - 200 OK
additional_infoobject

Additional information for the dispute.

additional_info.actual_delivery_datestring

The date on which the cardholder actually received the goods or service. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_NOT_AS_DESCRIBED or GOODS_DAMAGED.

additional_info.attempted_return_datestring

The date on which the cardholder attempted to return the goods or service. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_NOT_AS_DESCRIBED or GOODS_DAMAGED.

additional_info.card_charge_permission_withdrawn_datestring

The date on which the cardholder withdrew permission for the card charge (e.g. cancelled a subscription or recurring payment). Strongly recommended to set this field when dispute reason is RECURRING_CANCELED.

additional_info.expected_delivery_datestring

The date by which the cardholder expected to receive the goods or service. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_NOT_RECEIVED or GOODS_SERVICE_CANCELED.

additional_info.order_cancellation_datestring

The date on which the goods, service, or reservation was cancelled. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_CANCELED.

additional_info.returned_datestring

The date on which the cardholder returned the goods or service. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_NOT_AS_DESCRIBED or GOODS_DAMAGED.

amountnumber

Dispute amount.

card_transaction_event_idstring

The unique identifier for the disputed card transaction event.

created_atstring

Time when the dispute was created.

detailed_statusstring

The detailed status of the dispute life cycle between Airwallex and the card scheme. It can be one of: DISPUTE_FILED, PRE_ARB_RECEIVED, PRE_ARB_DECLINED_BY_ISSUER, ARBITRATION_RECEIVED, CHARGEBACK_DECLINED, PRE_ARB_DELIVERED, PRE_ARB_DECLINED_BY_ACQUIRER, ARB_DELIVERED, WON, LOST.

DISPUTE_FILED, PRE_ARB_RECEIVED, PRE_ARB_DECLINED_BY_ISSUER, ARBITRATION_RECEIVED, DISPUTE_DECLINED, PRE_ARB_DELIVERED, PRE_ARB_DECLINED_BY_ACQUIRER, ARB_DELIVERED, WON, LOST

idstring

The unique identifier for this dispute.

notesstring

The latest notes that was added to the dispute.

reasonstring

The reason for raising the dispute. It can be one of: SUSPECTED_FRAUD, UNAUTHORIZED_TRANSACTION, DUPLICATED_TRANSACTION, PAID_BY_OTHER_MEANS, GOODS_SERVICE_NOT_AS_DESCRIBED, GOODS_DAMAGED, GOODS_SERVICE_NOT_RECEIVED, REFUND_UNPROCESSED, GOODS_SERVICE_CANCELED, RECURRING_CANCELED, OTHER. Learn more about the dispute reasons .

referencestring

A value added for your internal reference.

statusstring

The latest status of the dispute. It can be one of: DRAFT, SUBMITTED, REJECTED, CANCELED, IN_PROGRESS, WON, LOST, EXPIRED. Learn more about the dispute statuses .

transaction_idstring

The unique identifier for the disputed transaction.

update_historyarray
update_history.evidence_filesarray

The list of file id containing the evidence added to the dispute during the dispute process.

update_history.notestring

The note added to the dispute.

update_history.updated_atstring

Time when the dispute was updated.

update_history.updated_bystring

The party who updated the dispute. It can be one of: CUSTOMER, AIRWALLEX.

updated_atstring

Time when the dispute was last updated.

updated_bystring

The party who updated the dispute. It can be one of: CUSTOMER, AIRWALLEX.

Errors
Error statusDescription
400

Possible errors: field_required, bad_request, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

POST /api/v1/issuing/transaction_disputes/{id}/submit
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/issuing/transaction_disputes/transaction_dispute_id/submit' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "additional_info": {
3 "expected_delivery_date": "2023-04-23T16:08:02+0000"
4 },
5 "amount": 100,
6 "card_transaction_event_id": "6c2dc266-09ad-4235-b61a-767c7cd6d6e2",
7 "created_at": "2023-04-23T16:08:02+0000",
8 "detailed_status": "PRE_ARB_RECEIVED",
9 "id": "6c2dc266-09ad-4235-b61a-767c7cd6d6e0",
10 "notes": "Fraud case",
11 "reason": "SUSPECTED_FRAUD",
12 "reference": "A@*Ddkss0@_2",
13 "status": "DRAFT",
14 "transaction_id": "6c2dc266-09ad-4235-b61a-767c7cd6d6e1",
15 "update_history": [
16 {
17 "evidence_files": [
18 "3fa85f64-5717-4562-b3fc-2c963f66afa6"
19 ],
20 "note": "Fraud case",
21 "updated_at": "2023-04-23T16:08:02+0000",
22 "updated_by": "CUSTOMER"
23 }
24 ],
25 "updated_at": "2023-04-23T16:08:02+0000",
26 "updated_by": "CUSTOMER"
27}
Was this section helpful?

Cancel a transaction dispute

POST /api/v1/issuing/transaction_disputes/{id}/cancel

When a dispute status = SUBMITTED, the dispute can still be canceled via this API. Once the dispute status changes to IN_PROGRESS, the dispute is submitted to the card scheme by Airwallex and cannot be canceled. Relevant dispute fees may apply once the dispute status = IN_PROGRESS.

Parameters
idrequiredstring

The unique identifier for this dispute.

Response body - 200 OK
additional_infoobject

Additional information for the dispute.

additional_info.actual_delivery_datestring

The date on which the cardholder actually received the goods or service. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_NOT_AS_DESCRIBED or GOODS_DAMAGED.

additional_info.attempted_return_datestring

The date on which the cardholder attempted to return the goods or service. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_NOT_AS_DESCRIBED or GOODS_DAMAGED.

additional_info.card_charge_permission_withdrawn_datestring

The date on which the cardholder withdrew permission for the card charge (e.g. cancelled a subscription or recurring payment). Strongly recommended to set this field when dispute reason is RECURRING_CANCELED.

additional_info.expected_delivery_datestring

The date by which the cardholder expected to receive the goods or service. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_NOT_RECEIVED or GOODS_SERVICE_CANCELED.

additional_info.order_cancellation_datestring

The date on which the goods, service, or reservation was cancelled. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_CANCELED.

additional_info.returned_datestring

The date on which the cardholder returned the goods or service. Strongly recommended to set this field when dispute reason is GOODS_SERVICE_NOT_AS_DESCRIBED or GOODS_DAMAGED.

amountnumber

Dispute amount.

card_transaction_event_idstring

The unique identifier for the disputed card transaction event.

created_atstring

Time when the dispute was created.

detailed_statusstring

The detailed status of the dispute life cycle between Airwallex and the card scheme. It can be one of: DISPUTE_FILED, PRE_ARB_RECEIVED, PRE_ARB_DECLINED_BY_ISSUER, ARBITRATION_RECEIVED, CHARGEBACK_DECLINED, PRE_ARB_DELIVERED, PRE_ARB_DECLINED_BY_ACQUIRER, ARB_DELIVERED, WON, LOST.

DISPUTE_FILED, PRE_ARB_RECEIVED, PRE_ARB_DECLINED_BY_ISSUER, ARBITRATION_RECEIVED, DISPUTE_DECLINED, PRE_ARB_DELIVERED, PRE_ARB_DECLINED_BY_ACQUIRER, ARB_DELIVERED, WON, LOST

idstring

The unique identifier for this dispute.

notesstring

The latest notes that was added to the dispute.

reasonstring

The reason for raising the dispute. It can be one of: SUSPECTED_FRAUD, UNAUTHORIZED_TRANSACTION, DUPLICATED_TRANSACTION, PAID_BY_OTHER_MEANS, GOODS_SERVICE_NOT_AS_DESCRIBED, GOODS_DAMAGED, GOODS_SERVICE_NOT_RECEIVED, REFUND_UNPROCESSED, GOODS_SERVICE_CANCELED, RECURRING_CANCELED, OTHER. Learn more about the dispute reasons .

referencestring

A value added for your internal reference.

statusstring

The latest status of the dispute. It can be one of: DRAFT, SUBMITTED, REJECTED, CANCELED, IN_PROGRESS, WON, LOST, EXPIRED. Learn more about the dispute statuses .

transaction_idstring

The unique identifier for the disputed transaction.

update_historyarray
update_history.evidence_filesarray

The list of file id containing the evidence added to the dispute during the dispute process.

update_history.notestring

The note added to the dispute.

update_history.updated_atstring

Time when the dispute was updated.

update_history.updated_bystring

The party who updated the dispute. It can be one of: CUSTOMER, AIRWALLEX.

updated_atstring

Time when the dispute was last updated.

updated_bystring

The party who updated the dispute. It can be one of: CUSTOMER, AIRWALLEX.

Errors
Error statusDescription
400

Possible errors: field_required, bad_request, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

POST /api/v1/issuing/transaction_disputes/{id}/cancel
$curl --request POST \
> --url 'https://api-demo.airwallex.com/api/v1/issuing/transaction_disputes/transaction_dispute_id/cancel' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "additional_info": {
3 "expected_delivery_date": "2023-04-23T16:08:02+0000"
4 },
5 "amount": 100,
6 "card_transaction_event_id": "6c2dc266-09ad-4235-b61a-767c7cd6d6e2",
7 "created_at": "2023-04-23T16:08:02+0000",
8 "detailed_status": "PRE_ARB_RECEIVED",
9 "id": "6c2dc266-09ad-4235-b61a-767c7cd6d6e0",
10 "notes": "Fraud case",
11 "reason": "SUSPECTED_FRAUD",
12 "reference": "A@*Ddkss0@_2",
13 "status": "DRAFT",
14 "transaction_id": "6c2dc266-09ad-4235-b61a-767c7cd6d6e1",
15 "update_history": [
16 {
17 "evidence_files": [
18 "3fa85f64-5717-4562-b3fc-2c963f66afa6"
19 ],
20 "note": "Fraud case",
21 "updated_at": "2023-04-23T16:08:02+0000",
22 "updated_by": "CUSTOMER"
23 }
24 ],
25 "updated_at": "2023-04-23T16:08:02+0000",
26 "updated_by": "CUSTOMER"
27}
Was this section helpful?